Bug 491232 - LiveCD fails to include plymouth plugin in initrd
LiveCD fails to include plymouth plugin in initrd
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
Depends On:
Blocks: F11Live
  Show dependency treegraph
Reported: 2009-03-19 18:47 EDT by Warren Togami
Modified: 2009-04-15 14:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-15 14:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-19 18:47:13 EDT
Bug 1)
fedora-live-base.ks currently installs plymouth-plugin-solar.  Jon Mccann says the default plymouth plugin for graphical boot of Fedora 11 is plymouth-plugin-spinfinity.

Bug 2)
/usr/lib/plymouth/default.so currently points to text.so.  We need this to point to spinfinity.so instead for graphical boot to work.  Unfortunately, this is more difficult than it seems.

%post might need to run "plymouth-set-default-plugin spinfinity" for it to take effect.  But this alone wont work, because mkliveinitrd runs well before kickstart's %post script during kernel's %post.

This leaves our only option to run mkliveinitrd ourselves again during kickstart %post.

The combination of these two fixes should make KMS graphical boot work on most intel and ati hardware in Fedora 11.
Comment 1 Warren Togami 2009-03-23 16:20:17 EDT
Apparently comps pulled in "plymouth-system-plugin" by default, which is provided by all plugins.  solar was continued to be pulled in despite it no longer being default because it has the shortest name.

Only the desired plugin spinfinity will automatically make itself default in F-11.

I am changing comps-f11.xml.in to explicitly pull in plymouth-plugin-spinfinity.  I think this will be all we need for livecd's to use graphical boot.  We will find out after rawhide compose tomorrow.

Note You need to log in before you can comment on or make changes to this bug.